#include <bits/stdc++.h>

using namespace std;

int main()
{   
    long long n;
    double suma,zbir,maxx;
    vector<double> a(200001);
    vector<double> p(200001);
    cin>>n;
    for(long long i=0;i<n;i++)
        cin>>a[i]>>p[i];
        maxx=0;
    for(long long j=0;j<n;j++)
    {
        zbir=0;
        suma=0;
        for(long long i=0;i<n;i++)
        {
            if(p[i]>=p[j])
                zbir+=a[i];
        }
        suma=(zbir*p[j])/(double)100;
        if(suma>maxx)
        maxx=suma;
    }
    printf("%.4lf", maxx);
    return 0;
}